Bug 1179352 (CVE-2019-2393)

Summary: VUL-0: CVE-2019-2393: mongodb: Denial of service via crafted queries which use $lookup and collations
Product: [Novell Products] SUSE Security Incidents Reporter: Alexandros Toptsoglou <atoptsoglou>
Component: IncidentsAssignee: Cloud Bugs <cloud-bugs>
Status: RESOLVED WONTFIX QA Contact: Security Team bot <security-team>
Severity: Normal    
Priority: P5 - None CC: smash_bz
Version: unspecified   
Target Milestone: ---   
Hardware: Other   
OS: Other   
URL: https://smash.suse.de/issue/272161/
Whiteboard:
Found By: Security Response Team Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Alexandros Toptsoglou 2020-11-27 19:09:07 UTC
CVE-2019-2393

A user authorized to perform database queries may trigger denial of service by issuing specially crafted queries, which use $lookup and collations. This issue affects: MongoDB Inc. MongoDB Server v4.2 versions prior to 4.2.1; v4.0 versions prior to 4.0.13; v3.6 versions prior to 3.6.15.

Upstream bug:

https://jira.mongodb.org/browse/SERVER-43350

References:
https://bugzilla.redhat.com/show_bug.cgi?id=1900867
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2019-2393
https://access.redhat.com/security/cve/CVE-2019-2393
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-2393
https://jira.mongodb.org/browse/SERVER-43350
Comment 1 Alexandros Toptsoglou 2020-11-27 19:09:27 UTC
Only in SOC 7. Closing as Wontfix since mongodb is not reachable to attackers.